## com.lowagie.text.pdf
Class PdfCopy.PageStamp

    java.lang.Object
      com.lowagie.text.pdf.PdfCopy.PageStamp

Enclosing class:
  PdfCopy

    public static class PdfCopy.PageStamp

extends java.lang.Object

Field Summary
`(package private) PdfCopy` `cstp`
`(package private) PdfCopy.StampContent` `over`
`(package private) PdfDictionary` `pageN`
`(package private) PageResources` `pageResources`
`(package private) PdfReader` `reader`
`(package private) PdfCopy.StampContent` `under`

Constructor Summary
`PdfCopy.PageStamp(PdfReader reader, PdfDictionary pageN, PdfCopy cstp)`

Method Summary
`void` `addAnnotation(PdfAnnotation annot)`
`private void` `addDocumentField(PdfIndirectReference ref)`
`void` `alterContents()`
`(package private) void` `applyRotation(PdfDictionary pageN, ByteBuffer out)`
`private void` `expandFields(PdfFormField field, java.util.ArrayList allAnnots)`
`PdfContentByte` `getOverContent()`
`PdfContentByte` `getUnderContent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageN

    PdfDictionary pageN

### under

    PdfCopy.StampContent under

### over

    PdfCopy.StampContent over

### pageResources

    PageResources pageResources

### reader

    PdfReader reader

### cstp

    PdfCopy cstp

Constructor Detail

### PdfCopy.PageStamp

    PdfCopy.PageStamp(PdfReader reader,
                      PdfDictionary pageN,
                      PdfCopy cstp)

Method Detail

### getUnderContent

    public PdfContentByte getUnderContent()

### getOverContent

    public PdfContentByte getOverContent()

### alterContents

    public void alterContents()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### applyRotation

    void applyRotation(PdfDictionary pageN,
                       ByteBuffer out)

### addDocumentField

    private void addDocumentField(PdfIndirectReference ref)

### expandFields

    private void expandFields(PdfFormField field,
                              java.util.ArrayList allAnnots)

### addAnnotation

    public void addAnnotation(PdfAnnotation annot)

Hosted by Hostbasket